| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/polyclip.h File Reference

Polygon clipping routines. More...

`#include "csextern.h"`
`#include "csgeom/box.h"`
`#include "igeom/clip2d.h"`
`#include "csutil/scf_implementation.h"`

Go to the source code of this file.

## Classes
class | csBoxClipper
| The csBoxClipper class is able to clip convex polygons to a rectangle (such as the screen). More...
class | csClipper
| The csClipper class is an abstract parent to all 2D clipping objects. More...
class | csPolygonClipper
| The csPolygonClipper class can be used for clipping any polygon against any other convex polygon. More...

## Detailed Description

Polygon clipping routines.

Definition in file polyclip.h.